Page MenuHomePhabricator

Make clangd CompletionModel usable even with non-standard (but supported) layout
ClosedPublic

Authored by serge-sans-paille on Feb 16 2021, 7:01 AM.

Details

Summary

llvm supports specifying a non-standard layout where each project lies in its own place. Do not assume a fixed layout and use the appropriate cmake variable instead.

Diff Detail

Event Timeline

serge-sans-paille requested review of this revision.Feb 16 2021, 7:01 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 17 2021, 12:36 AM
usaxena95 accepted this revision.Mar 18 2021, 3:55 PM

LG. Thanks.
Sorry. This completely missed my inbox.

This revision is now accepted and ready to land.Mar 18 2021, 3:55 PM
wlei added a subscriber: wlei.Mar 23 2021, 1:13 PM
This comment was removed by wlei.

LLVM_EXTERNAL_CLANG_TOOLS_EXTRA_SOURCE_DIR was removed in https://reviews.llvm.org/D58157, so it's unset by default.